summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-ruby/http-form_data/http-form_data-1.0.1-r1.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/dev-ruby/http-form_data/http-form_data-1.0.1-r1.ebuild b/dev-ruby/http-form_data/http-form_data-1.0.1-r1.ebuild
new file mode 100644
index 00000000000..6da3eb6bd7d
--- /dev/null
+++ b/dev-ruby/http-form_data/http-form_data-1.0.1-r1.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility-belt to build form data request bodies"
+HOMEPAGE="https://github.com/httprb/form_data.rb"
+
+LICENSE="MIT"
+SLOT="1.0"
+KEYWORDS="~amd64 ~ppc64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/simplecov/,/SimpleCov.start/ s:^:#:' spec/spec_helper.rb || die
+}